import { prisma } from "@/prisma/db"
import { NextRequest, NextResponse } from "next/server"

export async function POST(req: NextRequest) {
	const data = await req.json()
	console.log("router data: " + data, "status:")

	console.log(data)
	try {
		await prisma.message.create({
			data: data
		})

		return NextResponse.json({ status: 201, message: 'Message Created' })
		// res.status(200).json({message: 'Message Created'})
		// res.status(200).json({message: 'Message Created'})
	} catch (error) {
		console.log("fail" + error);
		// res.status(400)
	}
	console.log("post")
}

export async function GET(req: NextRequest, res:NextResponse) {
	const data = await req.json()
	console.log("router data: " + data, "status:")

	console.log(data)
	try {
		const messages = await prisma.message.findMany({
			orderBy:{
				sentAt: "desc"
			}
		})

		return NextResponse.json({ status: 200, messages: messages })
	} catch (error) {
		console.log("fail" + error);
		// res.status(400)
	}
	console.log("get")
}